Bug 433918 - Using koji build id's as task id's gives very confusing error messages
Using koji build id's as task id's gives very confusing error messages
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-21 23:15 EST by James Antill
Modified: 2013-01-09 20:48 EST (History)
3 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 12:37:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Antill 2008-02-21 23:15:07 EST
Description of problem:
 If you give a buildid to koji instead of a taskid, koji doesn't give a very
helpful response saying roughly (for resubmit):

<class 'koji.GenericError'>: only canceled or failed tasks may be resubmitted

...if it instead said something about the task (builder, submitted data,
package) of the given taskid, that might clue you into the fact you were giving
it a buildid by accident.
Comment 1 Jesse Keating 2008-05-16 10:30:18 EDT
Filed upstream as https://fedorahosted.org/koji/ticket/97
Comment 2 Jesse Keating 2008-06-03 14:35:46 EDT
resubmit will now print out the task info of what it's about to resubmit.  To
avoid the delay in looking this up I added a --quiet flag which will suppress
the lookup and print out.
Comment 3 Bug Zapper 2008-11-26 04:54:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Jon Stanley 2008-11-26 12:37:26 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.